%define major		0
%define libname		%mklibname nvtvsimple %major
%define develname	%mklibname nvtvsimple -d

Name: 		nvtv
Version: 	0.4.7
Release:	%mkrel 28
Summary: 	Enable TV-Out on Linux for NVIDIA cards
License: 	GPLv2
Group:		Video/Television
URL:		https://sourceforge.net/projects/nv-tv-out/
Source0:	https://downloads.sourceforge.net/nv-tv-out/%{name}-%{version}.tar.gz
Source1:	https://downloads.sourceforge.net/nv-tv-out/libnvtvsimple-0.4.7a.tar.gz
Source2:	nvtv.png
Patch0:		nvtv-0.4.7-ppc-build-fix.patch
Patch1:		libnvtvsimple-0.4.7a-fix-linking.patch
Patch2:		nvtv-0.4.7-automake1.13.patch
Patch3:		nvtv-0.4.7-mga-static-inline.patch
Patch4:		nvtv-0.4.7-fix-gcc10-build.patch
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	imagemagick
Requires:	pam
Requires:	xorg-x11
Requires:	usermode
Requires:	usermode-consoleonly
ExclusiveArch:	%{ix86} x86_64

%description
This is a tool to enable TV-Out on Linux for NVIDIA cards. It does not
need the kernel, supports multiple TV encoder chips. You may use all the
features of the chip, down to direct register access, and all resolutions 
and sizes the chip supports.

%package -n %libname
Group: System/Libraries
Summary: Library to enable TV-Out on Linux for NVIDIA cards

%description -n %libname
This is a shared library to enable TV-Out on Linux for NVIDIA cards.
It does not need the kernel, supports multiple TV encoder chips. You
may use all the features of the chip, down to direct register access,
and all resolutions and sizes the chip supports.

%package -n %develname
Group: Development/C
Summary: Library to enable TV-Out on Linux for NVIDIA cards
Requires: %libname = %version-%release
Provides: libnvtvsimple-devel = %version

%description -n %develname
This is a shared library to enable TV-Out on Linux for NVIDIA cards.
It does not need the kernel, supports multiple TV encoder chips. You
may use all the features of the chip, down to direct register access,
and all resolutions and sizes the chip supports.

%prep
%setup -q -b 1
%autopatch -p1
pushd lib
touch NEWS AUTHORS ChangeLog
popd

%build
%configure --prefix=/bin --with-gtk=gtk2 --disable-static
%make_build
pushd lib
autoreconf -fi
%configure --disable-static
%make_build LIBS='-L%{_libdir} -lm'
popd

%install
install -D -m755 src/nvtv %{buildroot}%{_sbindir}/nvtv
install -D -m755 src/nvtvd %{buildroot}%{_sbindir}/nvtvd

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
install -m644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

pushd lib
%make_install
popd

# remove useless libtool archive files
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Nvidia TV Output
Comment=Frontend for Nvidia TV output
Exec=%{name}
Icon=%{name}
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Audio;Video;Player;
Type=Application
EOF


#Lets make a nice dialog box asking for root perms:
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,security/console.apps}
cat <<EOF >%{buildroot}%{_sysconfdir}/pam.d/%{name}
#%PAM-1.0
auth	sufficient	/lib/security/pam_rootok.so
auth	include		system-auth
session	optional	/lib/security/pam_xauth.so
account	required	/lib/security/pam_permit.so
EOF

cat <<EOF >%{buildroot}%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=/usr/sbin/nvtv
SESSION=true
FALLBACK=true
EOF

mkdir -p %{buildroot}%{_bindir}
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/%name

%files
%doc doc/*.txt doc/USAGE README TODO BUGS ChangeLog FAQ ANNOUNCE 
%{_bindir}/*
%{_sbindir}/%{name}
%{_sbindir}/%{name}d
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

%files -n %libname
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %develname
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Aug 29 2020 martinw <martinw> 0.4.7-28.mga8
+ Revision: 1619654
- fix build with GCC 10
+ danf <danf>
- Switch URLs from http: to https:

* Thu Mar 05 2020 umeabot <umeabot> 0.4.7-27.mga8
+ Revision: 1554041
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.7-26.mga7
+ Revision: 1299818
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Jan 06 2016 danf <danf> 0.4.7-25.mga6
+ Revision: 920018
- Added static-inline.patch to fix build on gcc 5.3.1

* Wed Oct 15 2014 umeabot <umeabot> 0.4.7-24.mga5
+ Revision: 741952
- Second Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 0.4.7-23.mga5
+ Revision: 645976
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 0.4.7-23.mga4
+ Revision: 521255
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 0.4.7-22.mga3
+ Revision: 389749
- touch files
- do not use autoreconf for main
- more automake fix
- fix build with latest automake
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dmorgan <dmorgan>
- Remove .a files

* Fri Jun 10 2011 dmorgan <dmorgan> 0.4.7-20.mga2
+ Revision: 103352
- Fix file list
- Remove la files

* Tue Apr 26 2011 wally <wally> 0.4.7-20.mga1
+ Revision: 91799
- fix desktop file name (mga#954)
- fix exec line in desktop file

* Tue Feb 15 2011 ahmad <ahmad> 0.4.7-19.mga1
+ Revision: 52037
- drop old/unneeded scriptlets
- imported package nvtv


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.7-18mdv2011.0
+ Revision: 606835
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.7-17mdv2010.1
+ Revision: 523450
- rebuilt for 2010.1

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 0.4.7-16mdv2010.0
+ Revision: 450173
- build on x86 only (from Arnaud Patard)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.7-15mdv2010.0
+ Revision: 426262
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.7-14mdv2009.1
+ Revision: 301194
- rebuild for changed xcb

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 0.4.7-13mdv2009.0
+ Revision: 231642
- fix linking

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.7-12mdv2008.1
+ Revision: 179106
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - fix spacing at top of description
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.org> 0.4.7-11mdv2008.0
+ Revision: 56073
- buildrequires libxxf86vm-devel
- rebuild for 2008
- don't bother packaging INSTALL
- update pam.d file
- fd.o icons
- update new menu entry, no X-Mandriva
- drop old menu entry
- drop buildrequires wxgtk-devel (native GTK interface supersedes it)
- bunzip2 patches
- specify license as GPLv2
- new devel policy
- drop unnecessary patch1, it builds against GTK+ 2.0 without it
- update to release 0.4.7, separate source files for main package and lib
- Import nvtv



* Mon Jul 17 2006 Antoine Ginies <aginies@mandriva.com> 0.4.7-2.20040408.10mdv2007.0
- patch from cris_@_beebgames.com, don't use obsolete gtK1.2

* Wed Jun 28 2006 Götz Waschk <waschk@mandriva.org> 0.4.7-2.20040408.9mdv2007.0
- fix buildrequires

* Fri Jun 23 2006 Antoine Ginies <aginies@n3.mandriva.com> 0.4.7-1.20040408.8mdv2007.0
- forget a \ in xdg menu (thx fcrozat report)

* Fri Jun 23 2006 Antoine Ginies <aginies@n3.mandriva.com> 0.4.7-0.20040408.7mdv2007.0
- xdg menu

* Mon Oct 24 2005 Götz Waschk <waschk@mandriva.org> 0.4.7-0.20040408.6mdk
- fix build

* Wed Jun 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.7-0.20040408.5mdk
- fix ppc build

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.7-0.20040408.4mdk
- fix buildrequires

* Fri Apr 16 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.7-0.20040408.3mdk
- fix buildrequires again

* Thu Apr 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.7-0.20040408.2mdk
- fix buildrequires

* Thu Apr  8 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.7-0.20040408.1mdk
- build libnvtvsimple
- fix configure call
- new snapshot

* Mon Aug 25 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.5-3mdk 
- correct path in menu

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-2mdk
- rebuild

* Tue Jul 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- from Laurent Grawet <laurent.grawet@ibelgique.com> :
	- new release

* Sat May 31 2003 Laurent Grawet <laurent.grawet@ibelgique.com> 0.4.4-1mdk
- new release

* Fri Feb 21 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.4.3-4mdk 
- add forgotten links

* Tue Feb 18 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.3-3mdk 
- move libgtk+1.2-devel to Buildrequires :-)

* Mon Feb 17 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.3-2mdk
- add requires and consolehelper to avoid setuid (from fdanny@mailmij.org)

* Tue Feb 11 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.4.3-1mdk 
- new release

* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.2-2mdk
- rebuild for new glibc
* Mon Nov 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- from Roger <roger@linuxfreemail.com> :
	- 0.4.2

* Wed Nov 06 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-3mdk
- setuid nvtv (needed for user)
- add icons in menu

* Tue Sep 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-2mdk
- add requires  

* Tue Sep 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-1mdk
- first release for mandrakesoft 
